﻿<!--

        Массив является обьектом, следовательно для него в JavaScript  предусмотрен специальный конструктор Array(), 
        в зависимости от аргументов он строит массив:

            1. Конструктор без аргументов - создает пустой массив.
            2. Конструктор с одним целочисленным аргументом - создаст массив размерностью в количество элементов указанное в аргументе.
            3. Конструктор с двумя и более аргументами - создает массив из передаваемых аргументов, 
               при этом все аргументы будут расположены в массиве так как заданы в аргументах.

-->

<html>
<head>
    <title>Конструктор Array()</title>

    <script type="text/javascript">

        const a = new Array();                 // Пустой массив.
        const b = new Array(1, 2, 3, 4, 5, 6);    // Массив размерностью в 6 элементов.(или один нечисловой элемент)

        document.write(b);

        document.write("<hr />");

        const c = new Array(10);                     // Массив размерностью в 10 элементов.

        document.write(c);

    </script>

</head>
<body>
</body>
</html>
